package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cyymall_goods
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class CyymallGoods implements Serializable {
    private Integer id;

    private Integer storeId;

    private String name;

    private BigDecimal price;

    private BigDecimal originalPrice;

    private Integer catId;

    private Short status;

    private Integer addtime;

    private Short isDelete;

    private String service;

    private Integer sort;

    private Integer virtualSales;

    private String videoUrl;

    private String unit;

    private Short individualShare;

    private BigDecimal shareCommissionFirst;

    private BigDecimal shareCommissionSecond;

    private BigDecimal shareCommissionThird;

    private Double weight;

    private Integer freight;

    private Short useAttr;

    private Integer shareType;

    private Short quickPurchase;

    private Short hotCakes;

    private BigDecimal costPrice;

    private Short memberDiscount;

    private BigDecimal rebate;

    private Integer mchId;

    private Integer goodsNum;

    private Integer mchSort;

    private Integer confineCount;

    private Short isLevel;

    private Short type;

    private Short isNegotiable;

    private Boolean attrSettingType;

    private Long views;

    private BigDecimal supplierPrice;

    private Integer supplierGoodsId;

    private Integer supplierId;

    private String goodsShareTitle;

    private String goodsShareLogo;

    private String goodsShareDesc;

    private Integer isExamine;

    private BigDecimal dabaoPrice;

    private Integer brandId;

    private String keyWord;

    private Integer buyingMethod;

    private Integer buyingMethodLevel;

    private Integer homeBlockId;

    private Integer newIndividualShare;

    private Integer newAttrSettingType;

    private BigDecimal shareCommissionBase;

    private Short isSjht;

    private String sjhtProident;

    private Short isOil;

    private String oilCoutypecode;

    private Short isAbholung;

    private Short isTransnational;

    private Integer goodsTransferRate;

    private Integer oilDiscount;

    private Integer oilType;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public Integer getCatId() {
        return catId;
    }

    public void setCatId(Integer catId) {
        this.catId = catId;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Integer getAddtime() {
        return addtime;
    }

    public void setAddtime(Integer addtime) {
        this.addtime = addtime;
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getVirtualSales() {
        return virtualSales;
    }

    public void setVirtualSales(Integer virtualSales) {
        this.virtualSales = virtualSales;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Short getIndividualShare() {
        return individualShare;
    }

    public void setIndividualShare(Short individualShare) {
        this.individualShare = individualShare;
    }

    public BigDecimal getShareCommissionFirst() {
        return shareCommissionFirst;
    }

    public void setShareCommissionFirst(BigDecimal shareCommissionFirst) {
        this.shareCommissionFirst = shareCommissionFirst;
    }

    public BigDecimal getShareCommissionSecond() {
        return shareCommissionSecond;
    }

    public void setShareCommissionSecond(BigDecimal shareCommissionSecond) {
        this.shareCommissionSecond = shareCommissionSecond;
    }

    public BigDecimal getShareCommissionThird() {
        return shareCommissionThird;
    }

    public void setShareCommissionThird(BigDecimal shareCommissionThird) {
        this.shareCommissionThird = shareCommissionThird;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public Integer getFreight() {
        return freight;
    }

    public void setFreight(Integer freight) {
        this.freight = freight;
    }

    public Short getUseAttr() {
        return useAttr;
    }

    public void setUseAttr(Short useAttr) {
        this.useAttr = useAttr;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public Short getQuickPurchase() {
        return quickPurchase;
    }

    public void setQuickPurchase(Short quickPurchase) {
        this.quickPurchase = quickPurchase;
    }

    public Short getHotCakes() {
        return hotCakes;
    }

    public void setHotCakes(Short hotCakes) {
        this.hotCakes = hotCakes;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public Short getMemberDiscount() {
        return memberDiscount;
    }

    public void setMemberDiscount(Short memberDiscount) {
        this.memberDiscount = memberDiscount;
    }

    public BigDecimal getRebate() {
        return rebate;
    }

    public void setRebate(BigDecimal rebate) {
        this.rebate = rebate;
    }

    public Integer getMchId() {
        return mchId;
    }

    public void setMchId(Integer mchId) {
        this.mchId = mchId;
    }

    public Integer getGoodsNum() {
        return goodsNum;
    }

    public void setGoodsNum(Integer goodsNum) {
        this.goodsNum = goodsNum;
    }

    public Integer getMchSort() {
        return mchSort;
    }

    public void setMchSort(Integer mchSort) {
        this.mchSort = mchSort;
    }

    public Integer getConfineCount() {
        return confineCount;
    }

    public void setConfineCount(Integer confineCount) {
        this.confineCount = confineCount;
    }

    public Short getIsLevel() {
        return isLevel;
    }

    public void setIsLevel(Short isLevel) {
        this.isLevel = isLevel;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Short getIsNegotiable() {
        return isNegotiable;
    }

    public void setIsNegotiable(Short isNegotiable) {
        this.isNegotiable = isNegotiable;
    }

    public Boolean getAttrSettingType() {
        return attrSettingType;
    }

    public void setAttrSettingType(Boolean attrSettingType) {
        this.attrSettingType = attrSettingType;
    }

    public Long getViews() {
        return views;
    }

    public void setViews(Long views) {
        this.views = views;
    }

    public BigDecimal getSupplierPrice() {
        return supplierPrice;
    }

    public void setSupplierPrice(BigDecimal supplierPrice) {
        this.supplierPrice = supplierPrice;
    }

    public Integer getSupplierGoodsId() {
        return supplierGoodsId;
    }

    public void setSupplierGoodsId(Integer supplierGoodsId) {
        this.supplierGoodsId = supplierGoodsId;
    }

    public Integer getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    public String getGoodsShareTitle() {
        return goodsShareTitle;
    }

    public void setGoodsShareTitle(String goodsShareTitle) {
        this.goodsShareTitle = goodsShareTitle;
    }

    public String getGoodsShareLogo() {
        return goodsShareLogo;
    }

    public void setGoodsShareLogo(String goodsShareLogo) {
        this.goodsShareLogo = goodsShareLogo;
    }

    public String getGoodsShareDesc() {
        return goodsShareDesc;
    }

    public void setGoodsShareDesc(String goodsShareDesc) {
        this.goodsShareDesc = goodsShareDesc;
    }

    public Integer getIsExamine() {
        return isExamine;
    }

    public void setIsExamine(Integer isExamine) {
        this.isExamine = isExamine;
    }

    public BigDecimal getDabaoPrice() {
        return dabaoPrice;
    }

    public void setDabaoPrice(BigDecimal dabaoPrice) {
        this.dabaoPrice = dabaoPrice;
    }

    public Integer getBrandId() {
        return brandId;
    }

    public void setBrandId(Integer brandId) {
        this.brandId = brandId;
    }

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public Integer getBuyingMethod() {
        return buyingMethod;
    }

    public void setBuyingMethod(Integer buyingMethod) {
        this.buyingMethod = buyingMethod;
    }

    public Integer getBuyingMethodLevel() {
        return buyingMethodLevel;
    }

    public void setBuyingMethodLevel(Integer buyingMethodLevel) {
        this.buyingMethodLevel = buyingMethodLevel;
    }

    public Integer getHomeBlockId() {
        return homeBlockId;
    }

    public void setHomeBlockId(Integer homeBlockId) {
        this.homeBlockId = homeBlockId;
    }

    public Integer getNewIndividualShare() {
        return newIndividualShare;
    }

    public void setNewIndividualShare(Integer newIndividualShare) {
        this.newIndividualShare = newIndividualShare;
    }

    public Integer getNewAttrSettingType() {
        return newAttrSettingType;
    }

    public void setNewAttrSettingType(Integer newAttrSettingType) {
        this.newAttrSettingType = newAttrSettingType;
    }

    public BigDecimal getShareCommissionBase() {
        return shareCommissionBase;
    }

    public void setShareCommissionBase(BigDecimal shareCommissionBase) {
        this.shareCommissionBase = shareCommissionBase;
    }

    public Short getIsSjht() {
        return isSjht;
    }

    public void setIsSjht(Short isSjht) {
        this.isSjht = isSjht;
    }

    public String getSjhtProident() {
        return sjhtProident;
    }

    public void setSjhtProident(String sjhtProident) {
        this.sjhtProident = sjhtProident;
    }

    public Short getIsOil() {
        return isOil;
    }

    public void setIsOil(Short isOil) {
        this.isOil = isOil;
    }

    public String getOilCoutypecode() {
        return oilCoutypecode;
    }

    public void setOilCoutypecode(String oilCoutypecode) {
        this.oilCoutypecode = oilCoutypecode;
    }

    public Short getIsAbholung() {
        return isAbholung;
    }

    public void setIsAbholung(Short isAbholung) {
        this.isAbholung = isAbholung;
    }

    public Short getIsTransnational() {
        return isTransnational;
    }

    public void setIsTransnational(Short isTransnational) {
        this.isTransnational = isTransnational;
    }

    public Integer getGoodsTransferRate() {
        return goodsTransferRate;
    }

    public void setGoodsTransferRate(Integer goodsTransferRate) {
        this.goodsTransferRate = goodsTransferRate;
    }

    public Integer getOilDiscount() {
        return oilDiscount;
    }

    public void setOilDiscount(Integer oilDiscount) {
        this.oilDiscount = oilDiscount;
    }

    public Integer getOilType() {
        return oilType;
    }

    public void setOilType(Integer oilType) {
        this.oilType = oilType;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CyymallGoods other = (CyymallGoods) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getOriginalPrice() == null ? other.getOriginalPrice() == null : this.getOriginalPrice().equals(other.getOriginalPrice()))
            && (this.getCatId() == null ? other.getCatId() == null : this.getCatId().equals(other.getCatId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getIsDelete() == null ? other.getIsDelete() == null : this.getIsDelete().equals(other.getIsDelete()))
            && (this.getService() == null ? other.getService() == null : this.getService().equals(other.getService()))
            && (this.getSort() == null ? other.getSort() == null : this.getSort().equals(other.getSort()))
            && (this.getVirtualSales() == null ? other.getVirtualSales() == null : this.getVirtualSales().equals(other.getVirtualSales()))
            && (this.getVideoUrl() == null ? other.getVideoUrl() == null : this.getVideoUrl().equals(other.getVideoUrl()))
            && (this.getUnit() == null ? other.getUnit() == null : this.getUnit().equals(other.getUnit()))
            && (this.getIndividualShare() == null ? other.getIndividualShare() == null : this.getIndividualShare().equals(other.getIndividualShare()))
            && (this.getShareCommissionFirst() == null ? other.getShareCommissionFirst() == null : this.getShareCommissionFirst().equals(other.getShareCommissionFirst()))
            && (this.getShareCommissionSecond() == null ? other.getShareCommissionSecond() == null : this.getShareCommissionSecond().equals(other.getShareCommissionSecond()))
            && (this.getShareCommissionThird() == null ? other.getShareCommissionThird() == null : this.getShareCommissionThird().equals(other.getShareCommissionThird()))
            && (this.getWeight() == null ? other.getWeight() == null : this.getWeight().equals(other.getWeight()))
            && (this.getFreight() == null ? other.getFreight() == null : this.getFreight().equals(other.getFreight()))
            && (this.getUseAttr() == null ? other.getUseAttr() == null : this.getUseAttr().equals(other.getUseAttr()))
            && (this.getShareType() == null ? other.getShareType() == null : this.getShareType().equals(other.getShareType()))
            && (this.getQuickPurchase() == null ? other.getQuickPurchase() == null : this.getQuickPurchase().equals(other.getQuickPurchase()))
            && (this.getHotCakes() == null ? other.getHotCakes() == null : this.getHotCakes().equals(other.getHotCakes()))
            && (this.getCostPrice() == null ? other.getCostPrice() == null : this.getCostPrice().equals(other.getCostPrice()))
            && (this.getMemberDiscount() == null ? other.getMemberDiscount() == null : this.getMemberDiscount().equals(other.getMemberDiscount()))
            && (this.getRebate() == null ? other.getRebate() == null : this.getRebate().equals(other.getRebate()))
            && (this.getMchId() == null ? other.getMchId() == null : this.getMchId().equals(other.getMchId()))
            && (this.getGoodsNum() == null ? other.getGoodsNum() == null : this.getGoodsNum().equals(other.getGoodsNum()))
            && (this.getMchSort() == null ? other.getMchSort() == null : this.getMchSort().equals(other.getMchSort()))
            && (this.getConfineCount() == null ? other.getConfineCount() == null : this.getConfineCount().equals(other.getConfineCount()))
            && (this.getIsLevel() == null ? other.getIsLevel() == null : this.getIsLevel().equals(other.getIsLevel()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getIsNegotiable() == null ? other.getIsNegotiable() == null : this.getIsNegotiable().equals(other.getIsNegotiable()))
            && (this.getAttrSettingType() == null ? other.getAttrSettingType() == null : this.getAttrSettingType().equals(other.getAttrSettingType()))
            && (this.getViews() == null ? other.getViews() == null : this.getViews().equals(other.getViews()))
            && (this.getSupplierPrice() == null ? other.getSupplierPrice() == null : this.getSupplierPrice().equals(other.getSupplierPrice()))
            && (this.getSupplierGoodsId() == null ? other.getSupplierGoodsId() == null : this.getSupplierGoodsId().equals(other.getSupplierGoodsId()))
            && (this.getSupplierId() == null ? other.getSupplierId() == null : this.getSupplierId().equals(other.getSupplierId()))
            && (this.getGoodsShareTitle() == null ? other.getGoodsShareTitle() == null : this.getGoodsShareTitle().equals(other.getGoodsShareTitle()))
            && (this.getGoodsShareLogo() == null ? other.getGoodsShareLogo() == null : this.getGoodsShareLogo().equals(other.getGoodsShareLogo()))
            && (this.getGoodsShareDesc() == null ? other.getGoodsShareDesc() == null : this.getGoodsShareDesc().equals(other.getGoodsShareDesc()))
            && (this.getIsExamine() == null ? other.getIsExamine() == null : this.getIsExamine().equals(other.getIsExamine()))
            && (this.getDabaoPrice() == null ? other.getDabaoPrice() == null : this.getDabaoPrice().equals(other.getDabaoPrice()))
            && (this.getBrandId() == null ? other.getBrandId() == null : this.getBrandId().equals(other.getBrandId()))
            && (this.getKeyWord() == null ? other.getKeyWord() == null : this.getKeyWord().equals(other.getKeyWord()))
            && (this.getBuyingMethod() == null ? other.getBuyingMethod() == null : this.getBuyingMethod().equals(other.getBuyingMethod()))
            && (this.getBuyingMethodLevel() == null ? other.getBuyingMethodLevel() == null : this.getBuyingMethodLevel().equals(other.getBuyingMethodLevel()))
            && (this.getHomeBlockId() == null ? other.getHomeBlockId() == null : this.getHomeBlockId().equals(other.getHomeBlockId()))
            && (this.getNewIndividualShare() == null ? other.getNewIndividualShare() == null : this.getNewIndividualShare().equals(other.getNewIndividualShare()))
            && (this.getNewAttrSettingType() == null ? other.getNewAttrSettingType() == null : this.getNewAttrSettingType().equals(other.getNewAttrSettingType()))
            && (this.getShareCommissionBase() == null ? other.getShareCommissionBase() == null : this.getShareCommissionBase().equals(other.getShareCommissionBase()))
            && (this.getIsSjht() == null ? other.getIsSjht() == null : this.getIsSjht().equals(other.getIsSjht()))
            && (this.getSjhtProident() == null ? other.getSjhtProident() == null : this.getSjhtProident().equals(other.getSjhtProident()))
            && (this.getIsOil() == null ? other.getIsOil() == null : this.getIsOil().equals(other.getIsOil()))
            && (this.getOilCoutypecode() == null ? other.getOilCoutypecode() == null : this.getOilCoutypecode().equals(other.getOilCoutypecode()))
            && (this.getIsAbholung() == null ? other.getIsAbholung() == null : this.getIsAbholung().equals(other.getIsAbholung()))
            && (this.getIsTransnational() == null ? other.getIsTransnational() == null : this.getIsTransnational().equals(other.getIsTransnational()))
            && (this.getGoodsTransferRate() == null ? other.getGoodsTransferRate() == null : this.getGoodsTransferRate().equals(other.getGoodsTransferRate()))
            && (this.getOilDiscount() == null ? other.getOilDiscount() == null : this.getOilDiscount().equals(other.getOilDiscount()))
            && (this.getOilType() == null ? other.getOilType() == null : this.getOilType().equals(other.getOilType()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getOriginalPrice() == null) ? 0 : getOriginalPrice().hashCode());
        result = prime * result + ((getCatId() == null) ? 0 : getCatId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getIsDelete() == null) ? 0 : getIsDelete().hashCode());
        result = prime * result + ((getService() == null) ? 0 : getService().hashCode());
        result = prime * result + ((getSort() == null) ? 0 : getSort().hashCode());
        result = prime * result + ((getVirtualSales() == null) ? 0 : getVirtualSales().hashCode());
        result = prime * result + ((getVideoUrl() == null) ? 0 : getVideoUrl().hashCode());
        result = prime * result + ((getUnit() == null) ? 0 : getUnit().hashCode());
        result = prime * result + ((getIndividualShare() == null) ? 0 : getIndividualShare().hashCode());
        result = prime * result + ((getShareCommissionFirst() == null) ? 0 : getShareCommissionFirst().hashCode());
        result = prime * result + ((getShareCommissionSecond() == null) ? 0 : getShareCommissionSecond().hashCode());
        result = prime * result + ((getShareCommissionThird() == null) ? 0 : getShareCommissionThird().hashCode());
        result = prime * result + ((getWeight() == null) ? 0 : getWeight().hashCode());
        result = prime * result + ((getFreight() == null) ? 0 : getFreight().hashCode());
        result = prime * result + ((getUseAttr() == null) ? 0 : getUseAttr().hashCode());
        result = prime * result + ((getShareType() == null) ? 0 : getShareType().hashCode());
        result = prime * result + ((getQuickPurchase() == null) ? 0 : getQuickPurchase().hashCode());
        result = prime * result + ((getHotCakes() == null) ? 0 : getHotCakes().hashCode());
        result = prime * result + ((getCostPrice() == null) ? 0 : getCostPrice().hashCode());
        result = prime * result + ((getMemberDiscount() == null) ? 0 : getMemberDiscount().hashCode());
        result = prime * result + ((getRebate() == null) ? 0 : getRebate().hashCode());
        result = prime * result + ((getMchId() == null) ? 0 : getMchId().hashCode());
        result = prime * result + ((getGoodsNum() == null) ? 0 : getGoodsNum().hashCode());
        result = prime * result + ((getMchSort() == null) ? 0 : getMchSort().hashCode());
        result = prime * result + ((getConfineCount() == null) ? 0 : getConfineCount().hashCode());
        result = prime * result + ((getIsLevel() == null) ? 0 : getIsLevel().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getIsNegotiable() == null) ? 0 : getIsNegotiable().hashCode());
        result = prime * result + ((getAttrSettingType() == null) ? 0 : getAttrSettingType().hashCode());
        result = prime * result + ((getViews() == null) ? 0 : getViews().hashCode());
        result = prime * result + ((getSupplierPrice() == null) ? 0 : getSupplierPrice().hashCode());
        result = prime * result + ((getSupplierGoodsId() == null) ? 0 : getSupplierGoodsId().hashCode());
        result = prime * result + ((getSupplierId() == null) ? 0 : getSupplierId().hashCode());
        result = prime * result + ((getGoodsShareTitle() == null) ? 0 : getGoodsShareTitle().hashCode());
        result = prime * result + ((getGoodsShareLogo() == null) ? 0 : getGoodsShareLogo().hashCode());
        result = prime * result + ((getGoodsShareDesc() == null) ? 0 : getGoodsShareDesc().hashCode());
        result = prime * result + ((getIsExamine() == null) ? 0 : getIsExamine().hashCode());
        result = prime * result + ((getDabaoPrice() == null) ? 0 : getDabaoPrice().hashCode());
        result = prime * result + ((getBrandId() == null) ? 0 : getBrandId().hashCode());
        result = prime * result + ((getKeyWord() == null) ? 0 : getKeyWord().hashCode());
        result = prime * result + ((getBuyingMethod() == null) ? 0 : getBuyingMethod().hashCode());
        result = prime * result + ((getBuyingMethodLevel() == null) ? 0 : getBuyingMethodLevel().hashCode());
        result = prime * result + ((getHomeBlockId() == null) ? 0 : getHomeBlockId().hashCode());
        result = prime * result + ((getNewIndividualShare() == null) ? 0 : getNewIndividualShare().hashCode());
        result = prime * result + ((getNewAttrSettingType() == null) ? 0 : getNewAttrSettingType().hashCode());
        result = prime * result + ((getShareCommissionBase() == null) ? 0 : getShareCommissionBase().hashCode());
        result = prime * result + ((getIsSjht() == null) ? 0 : getIsSjht().hashCode());
        result = prime * result + ((getSjhtProident() == null) ? 0 : getSjhtProident().hashCode());
        result = prime * result + ((getIsOil() == null) ? 0 : getIsOil().hashCode());
        result = prime * result + ((getOilCoutypecode() == null) ? 0 : getOilCoutypecode().hashCode());
        result = prime * result + ((getIsAbholung() == null) ? 0 : getIsAbholung().hashCode());
        result = prime * result + ((getIsTransnational() == null) ? 0 : getIsTransnational().hashCode());
        result = prime * result + ((getGoodsTransferRate() == null) ? 0 : getGoodsTransferRate().hashCode());
        result = prime * result + ((getOilDiscount() == null) ? 0 : getOilDiscount().hashCode());
        result = prime * result + ((getOilType() == null) ? 0 : getOilType().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", name=").append(name);
        sb.append(", price=").append(price);
        sb.append(", originalPrice=").append(originalPrice);
        sb.append(", catId=").append(catId);
        sb.append(", status=").append(status);
        sb.append(", addtime=").append(addtime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", service=").append(service);
        sb.append(", sort=").append(sort);
        sb.append(", virtualSales=").append(virtualSales);
        sb.append(", videoUrl=").append(videoUrl);
        sb.append(", unit=").append(unit);
        sb.append(", individualShare=").append(individualShare);
        sb.append(", shareCommissionFirst=").append(shareCommissionFirst);
        sb.append(", shareCommissionSecond=").append(shareCommissionSecond);
        sb.append(", shareCommissionThird=").append(shareCommissionThird);
        sb.append(", weight=").append(weight);
        sb.append(", freight=").append(freight);
        sb.append(", useAttr=").append(useAttr);
        sb.append(", shareType=").append(shareType);
        sb.append(", quickPurchase=").append(quickPurchase);
        sb.append(", hotCakes=").append(hotCakes);
        sb.append(", costPrice=").append(costPrice);
        sb.append(", memberDiscount=").append(memberDiscount);
        sb.append(", rebate=").append(rebate);
        sb.append(", mchId=").append(mchId);
        sb.append(", goodsNum=").append(goodsNum);
        sb.append(", mchSort=").append(mchSort);
        sb.append(", confineCount=").append(confineCount);
        sb.append(", isLevel=").append(isLevel);
        sb.append(", type=").append(type);
        sb.append(", isNegotiable=").append(isNegotiable);
        sb.append(", attrSettingType=").append(attrSettingType);
        sb.append(", views=").append(views);
        sb.append(", supplierPrice=").append(supplierPrice);
        sb.append(", supplierGoodsId=").append(supplierGoodsId);
        sb.append(", supplierId=").append(supplierId);
        sb.append(", goodsShareTitle=").append(goodsShareTitle);
        sb.append(", goodsShareLogo=").append(goodsShareLogo);
        sb.append(", goodsShareDesc=").append(goodsShareDesc);
        sb.append(", isExamine=").append(isExamine);
        sb.append(", dabaoPrice=").append(dabaoPrice);
        sb.append(", brandId=").append(brandId);
        sb.append(", keyWord=").append(keyWord);
        sb.append(", buyingMethod=").append(buyingMethod);
        sb.append(", buyingMethodLevel=").append(buyingMethodLevel);
        sb.append(", homeBlockId=").append(homeBlockId);
        sb.append(", newIndividualShare=").append(newIndividualShare);
        sb.append(", newAttrSettingType=").append(newAttrSettingType);
        sb.append(", shareCommissionBase=").append(shareCommissionBase);
        sb.append(", isSjht=").append(isSjht);
        sb.append(", sjhtProident=").append(sjhtProident);
        sb.append(", isOil=").append(isOil);
        sb.append(", oilCoutypecode=").append(oilCoutypecode);
        sb.append(", isAbholung=").append(isAbholung);
        sb.append(", isTransnational=").append(isTransnational);
        sb.append(", goodsTransferRate=").append(goodsTransferRate);
        sb.append(", oilDiscount=").append(oilDiscount);
        sb.append(", oilType=").append(oilType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}